<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 2</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <!-- Tasks
        1. JavaScript Program to Swap Two Variables
        2. JavaScript Program to Check Prime Number
        3. JavaScript Program to Find Sum of Natural Numbers Using Recursion
        4. JavaScript Program to Replace Characters of a String
        5. JavaScript Program to Loop Through an Object
    -->
</head>
<body>
    <script>
        function prime()
        {
            const n = parseInt(document.getElementById('num').value);
            let isPrime = true;

            if(n == 1){
                document.getElementById("Output").innerHTML="Its neither Prime nor Composite Number";
            }

            else if(n > 1){
                for(let i = 2;i < n; i++){
                    if(n % i == 0){
                        isPrime = false;
                        break;
                    }
                }
                if(isPrime){
                    document.getElementById("Output").innerHTML="Its a Prime Number";
                }
                else{
                    document.getElementById("Output").innerHTML="Its not a Prime Number";
                }
            }

            else{
                document.getElementById("Output").innerHTML="Its not a Prime Number";
            }
        }
    </script>
    <div>
        <h1>Checking Prime Number</h1>
        <p>Enter a positive number</p>
        <input type="text" id="num">
        <p id="Output"></p>
        <button style="color: cornflowerblue;height:auto;width:auto;" onclick="prime()">CheckPrime</button>
    </div>
</body>
</html>